org.openmuc.openiec61850

## Enum BdaDoubleBitPos.DoubleBitPos

- java.lang.Object
- - java.lang.Enum<BdaDoubleBitPos.DoubleBitPos>
  - - org.openmuc.openiec61850.BdaDoubleBitPos.DoubleBitPos

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<BdaDoubleBitPos.DoubleBitPos>

Enclosing class:
  BdaDoubleBitPos

    public static enum BdaDoubleBitPos.DoubleBitPos
    extends java.lang.Enum<BdaDoubleBitPos.DoubleBitPos>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`BAD_STATE`
`INTERMEDIATE_STATE`
`OFF`
`ON`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`int` `getIntValue()`
`static BdaDoubleBitPos.DoubleBitPos` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static BdaDoubleBitPos.DoubleBitPos[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### INTERMEDIATE_STATE

    public static final BdaDoubleBitPos.DoubleBitPos INTERMEDIATE_STATE

#### OFF

    public static final BdaDoubleBitPos.DoubleBitPos OFF

#### ON

    public static final BdaDoubleBitPos.DoubleBitPos ON

#### BAD_STATE

    public static final BdaDoubleBitPos.DoubleBitPos BAD_STATE

### Method Detail

#### values

    public static BdaDoubleBitPos.DoubleBitPos[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (BdaDoubleBitPos.DoubleBitPos c : BdaDoubleBitPos.DoubleBitPos.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static BdaDoubleBitPos.DoubleBitPos valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### getIntValue

    public int getIntValue()